## pd-iemambi 0.21.1

=== Makefile ===
#!/usr/bin/make -f
# Makefile to the 'iem_ambi' library for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules (https://github.com/pure-data/pd-lib-builder).

lib.name = iem_ambi

## iemlib.h lives in include/
cflags  = -Iinclude

# special file that does not provide a class
lib.setup.sources = src/$(lib.name).c

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
# class.sources = $(filter-out $(lib.setup.sources),$(wildcard src/*.c))

class.sources = \
	src/ambi_decode.c \
	src/ambi_decode2.c \
	src/ambi_decode3.c \
	src/ambi_decode_cube.c \
	src/ambi_encode.c \
	src/ambi_rot.c \
	src/bin_ambi_calc_HRTF.c \
	src/bin_ambi_reduced_decode.c \
	src/bin_ambi_reduced_decode_fft.c \
	src/bin_ambi_reduced_decode_fft2.c \
	src/bin_ambi_reduced_decode_fir.c \
	src/bin_ambi_reduced_decode_fir2.c \
	src/bin_ambi_reduced_decode2.c \
	src/matrix_mul_line~.c \
	src/matrix_mul_line8~.c \
	src/matrix_mul_stat~.c \
	src/matrix_diag_mul_line~.c \
	src/matrix_diag_mul_line8~.c \
	src/matrix_diag_mul_stat~.c \
	src/matrix_bundle_line~.c \
	src/matrix_bundle_line8~.c \
	src/matrix_bundle_stat~.c \
	$(empty)

datafiles = \
	$(wildcard *.txt) \
	$(wildcard *.pdf) \
	$(wildcard *.pd) \
	$(wildcard *.gif) \
	$(wildcard *.bat) \
	$(wildcard *.sh) \
	$(wildcard *.wav) \
	$(empty)


#cflags = -DVERSION=$(shell cat VERSION.txt)

## build a multi-object library
make-lib-executable=yes

## suppress "unused" warnings
#suppress-wunused=yes

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

## pd-iemambi 0.1

=== debian/changelog ===
pd-iemambi (0.1-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Recommend pd-iemmatrix
  * Added Suggests for libraries used in help-patches
  * Made help-patches load libraries it needs
  * Fixed inclusion of endian.h (Closes: #620540)
  * debian/rules: removed no-strip hacks

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 15 Apr 2011 17:53:16 +0200

pd-iemambi (0.1-1) unstable; urgency=low

  [ IOhannes m zmoelnig (gpg-key at iem) ]
  * Initial packaging.
    Closes: #603179

  [ Jonas Smedegaard ]
  * Minor tidying of various packaging files.
  * Update copyright file: Additional copyright holders.
  * Drop useless suppression of build-dependencies: Recent CDBS required
    anyway, due to use of pd.mk snippet.
  * Add myself as uploader.
  * Add copyright hints, to track future changes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Feb 2011 22:57:23 +0100

=== debian/control ===
Source: pd-iemambi
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 cdbs (>= 0.4.91~),
 devscripts (>= 2.10.7~),
 puredata
Standards-Version: 3.9.1
Section: sound
Homepage: http://download.puredata.info/iem_ambi
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iem_ambi
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-iem_ambi.git

Package: pd-iemambi
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends}, 
 pd 
Description: Pd-objects for Ambisonics sound spatialization
 This library contains 3 objects, for calculating Ambisonics encoder
 matrices, rotation matrices and decoder matrices from 1st to 4th order
 in 3D, or from 1st to 12th order in 2D.

## pd-iemambi 0.2

=== debian/changelog ===
pd-iemambi (0.2-5) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh
  * Switched URLs to https://
  * Updated d/watch
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:09:10 +0100

pd-iemambi (0.2-4) unstable; urgency=medium

  * Fixed my uploader's name
  * Fixed debian/copyright (both iem and musil hold copyright on all sources)
  * Added debian/git-tuneclone.sh script (documented in debian/README.source)
  * Updated homepage field
  * Update Vcs-* stanzas
  * Updated debian/watch
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Feb 2016 17:05:52 +0100

pd-iemambi (0.2-3) unstable; urgency=low

  * Added README.Debian with install instructions
  * Added helper-abstractions for help-patches
    * [round_zero]
    * [mergefilename]

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Mon, 11 Nov 2013 17:59:42 +0100

pd-iemambi (0.2-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Updated my Uploaders-name
  * B-D on kfreebsd-kernel-headers (on kfreebsd-*) (Closes: #728146)

 -- IOhannes m zmölnig <zmoelnig@iem.at>  Thu, 07 Nov 2013 17:56:21 +0100

pd-iemambi (0.2-1) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.2
  * Removed patches included upstream
  * Build depend on puredata-dev|puredata
  * Depend on puredata|pd
  * Bumped standards to 3.9.4
  * Fixed Vcs-* stanzas
  * Updated debian/copyright
  * Regenerated debian/{control,copyright_hints}

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Sat, 29 Jun 2013 16:14:59 +0200

=== debian/control ===
Source: pd-iemambi
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 devscripts,
 kfreebsd-kernel-headers (>= 9.2~3) [kfreebsd-any],
 puredata-dev | puredata (<< 0.43),
Standards-Version: 4.1.3
Section: sound
Homepage: https://git.iem.at/pd/iem_ambi
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemambi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemambi

Package: pd-iemambi
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-iemmatrix,
Suggests:
 pd-zexy,
 pd-iemlib,
Description: Pd-objects for Ambisonics sound spatialization
 This library contains 3 objects, for calculating Ambisonics encoder
 matrices, rotation matrices and decoder matrices from 1st to 4th order
 in 3D, or from 1st to 12th order in 2D.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkglibdir = /usr/lib/pd/extra

%:
	dh $@ -Dsrc

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,-as-needed" \
		$(empty)

override_dh_auto_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=4
opts=filenamemangle=s/.*\/repository\/v?(\d\S*)\/archive\.tar\.gz/iem_ambi-$1\.tar\.gz/g \
  https://git.iem.at/pd/iem_ambi/tags .*/repository/v?(\d\S*)/archive\.tar\.gz

## pd-iemambi 0.21.1

=== debian/changelog ===
pd-iemambi (0.21.1-2) unstable; urgency=medium

  * Switch to dh-sequence-puredata
  * Add Provides-stanza
  * Update d/watch
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 21:27:41 +0200

pd-iemambi (0.21.1-1) unstable; urgency=medium

  * New upstream version 0.21.1
  * Switch buildsystem to pd-lib-builder
  * Adjust to renamed documentation
  * Update copyright information
    + Bump copyright dates
    * Fix license (LGPL-2.1, rather than GPL-2)
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jul 2023 10:36:26 +0200

pd-iemambi (0.2-8) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:43:48 +0100

pd-iemambi (0.2-7) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 26 Nov 2022 23:56:51 +0100

pd-iemambi (0.2-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Repository.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Make sure that CPPFLAGS are applied
  * Fix d/watch
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 16 Aug 2022 13:41:49 +0200

=== debian/control ===
Source: pd-iemambi
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: sound
Homepage: https://git.iem.at/pd/iem_ambi
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemambi.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemambi

Package: pd-iemambi
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-iemmatrix,
 ${puredata:Recommends},
Suggests:
 pd-iemlib,
 pd-zexy,
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: Pd-objects for Ambisonics sound spatialization
 This library contains 3 objects, for calculating Ambisonics encoder
 matrices, rotation matrices and decoder matrices from 1st to 4th order
 in 3D, or from 1st to 12th order in 2D.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2018-2023 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/pd/iem_ambi/tags?sort=updated_desc -/archive/v?\d[\d.-]+/iem_ambi-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## pd-iemambi 1.21.1

=== debian/changelog ===
pd-iemambi (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1

  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Update git repository layout to follow DEP-14
  * Update d/watch to version 5
  * Update copyright information
    + Bump copyright dates
    + Fix license identifier (LGPL-2.1+, rather than LGPL-1.2+)
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Mar 2026 17:00:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: pd-iemambi
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-puredata,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Section: sound
 Homepage: https://git.iem.at/pd/iem_ambi
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemambi.git

=== debian/watch ===
Version: 5

# to be processed with uscan(1)
Template: Gitlab
Dist: https://git.iem.at/pd/iem_ambi
